## org.eclipse.datatools.sqltools.sqleditor
Interface ISQLEditorInput

All Known Implementing Classes:
  SQLEditorFileEditorInput, SQLEditorStorageEditorInput

public interface ISQLEditorInput

This interface is a mix-in interface to be used with an `IEditorInput` to add additional information to the editor input for the SQL editor.

Method Summary
`ISQLEditorConnectionInfo` `getConnectionInfo()`
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)`

Method Detail

### setConnectionInfo

    public void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

### getConnectionInfo

    public ISQLEditorConnectionInfo getConnectionInfo()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.